# Info Class Reference

`#include <xmpp.h>`

Inheritance diagram for Info:

List of all members.

## Public Member Functions

| Info (PXMLElement *info)
IdentityList & | GetIdentities ()
PStringSet & | GetFeatures ()
PXMLElement * | AsXML (PXMLElement *parent) const

## Protected Attributes

IdentityList | m_Identities
PStringSet | m_Features

## Constructor & Destructor Documentation

Info::Info | ( | PXMLElement * | info | ) |

## Member Function Documentation

PXMLElement* Info::AsXML | ( | PXMLElement * | parent | ) | const

PStringSet& Info::GetFeatures | ( |  | ) | `[inline]`

IdentityList& Info::GetIdentities | ( |  | ) | `[inline]`

## Member Data Documentation

PStringSet Info::m_Features `[protected]`

IdentityList Info::m_Identities `[protected]`

The documentation for this class was generated from the following file:

- xmpp.h